import request from '@/utils/request'

// 查询食品及食用农产品监督抽检结果统计列表
export function listResult(query) {
  return request({
    url: '/crmAgriculturalProductSupervisionCheckResult/findByPage',
    method: 'get',
    params: query
  })
}

// 查询食品及食用农产品监督抽检结果统计详细
export function getResult(id) {
  return request({
    url: '/basicData/result/' + id,
    method: 'get'
  })
}

// 新增食品及食用农产品监督抽检结果统计
export function addResult(data) {
  return request({
    url: '/basicData/result',
    method: 'post',
    data: data
  })
}

// 修改食品及食用农产品监督抽检结果统计
export function updateResult(data) {
  return request({
    url: '/basicData/result',
    method: 'put',
    data: data
  })
}

// 删除食品及食用农产品监督抽检结果统计
export function delResult(id) {
  return request({
    url: '/crmAgriculturalProductSupervisionCheckResult/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delResultBatch(ids) {
  console.log(ids);
  return request.post('/crmAgriculturalProductSupervisionCheckResult/delete',ids)
}

